import request from '@/utils/request'

// 查询轮胎基础信息列表
export function listCartype(query) {
    return request({
        url: '/cartype/cartype/list',
        method: 'get',
        params: query
    })
}

// 查询轮胎基础信息详细
export function getCartype(id) {
    return request({
        url: '/cartype/cartype/' + id,
        method: 'get'
    })
}

// 新增轮胎基础信息
export function addCartype(data) {
    return request({
        url: '/cartype/cartype',
        method: 'post',
        data: data
    })
}

// 修改轮胎基础信息
export function updateCartype(data) {
    return request({
        url: '/cartype/cartype',
        method: 'put',
        data: data
    })
}

// 删除轮胎基础信息
export function delCartype(id) {
    return request({
        url: '/cartype/cartype/' + id,
        method: 'delete'
    })
}
